=== uniconf/gremlin/Makefile ===
include ${TOPDIR}/wvrules.mk

XPATH=${TOPDIR}/src/wvstreams/include

all: rungremlin

LIBS=-lstdc++
rungremlin: $(LIBUNICONF) unigremlin.o
