=== debian/changelog ===
wvstreams (4.6.1-7) unstable; urgency=low

  * QA upload.
  * Don't build-conflict with valgrind; pass --without-valgrind to the
    configure script instead.
  * Regenerate the configure script from source at build time. Build-depend on
    autoconf.
  * Patch the configure script to make it possible to disable readline.
  * Disable readline support (closes: #725858).
  * Bump debhelper compatibility level to 7.
    + Update minimum required debhelper version in Build-Depends accordingly.
  * Improve debian/rules:
    + Use “chmod a-x” instead of “chmod -x”.
    + Don't ignore errors from rm.
    + Don't remove the .pc directory in the clean target.
    + Copy config.sub and config.guess unconditionally.
    + Use “dh_prep” instead of “dh_clean -k”.
  * Improve patches:
    + Add patch headers.
    + Split 05_gcc.diff into two patches:
      - 08_openssl-1.0.diff, to fix FTBFS with OpenSSL 1.0;
      - 09_glibc-2.12.diff, to fix FTBFS with glibc 1.12.
  * Fix a typo.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 31 Oct 2013 16:10:21 +0100

wvstreams (4.6.1-6) unstable; urgency=low

  * QA upload.
  * Suggest tk8.5 instead of tk8.4.
  * Build using hardening flags.
  * Enable verbose build.
  * debian/control: Remove Homepage attribute, doesn't exist anymore.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Mar 2013 11:51:08 -0700

wvstreams (4.6.1-5) unstable; urgency=low

  * QA upload.
  * Disable some gcc-4.7 optimization flags to fix wrong magic_number bug.
    Thanks to Peter Drysdale <drysdalepete@gmail.com>. (Closes: #674006) 
  * Disable parallel build.
  * Add Build-Depends: graphviz.

 -- Johann Felix Soden <johfel@debian.org>  Fri, 13 Jul 2012 00:39:24 +0200

wvstreams (4.6.1-4) unstable; urgency=low

  * QA upload.
  * Remove Qt3 support. (Closes: #604389)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 18 May 2012 21:38:56 +0200

wvstreams (4.6.1-3) unstable; urgency=low

  * QA upload.
  * Fix "ftbfs with GCC-4.7": add patch 06_gcc-4.7.diff from Paul Tagliamonte
    (missing include).
    (Closes: #667418)

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 Apr 2012 13:16:59 +0200

wvstreams (4.6.1-2) unstable; urgency=low

  * QA upload.
  * Switch to format 3.0 (quilt).
  * debian/patches/05_gcc.diff:
    - Fix FTBFS with new gcc (Closes: #621990).
  * Drop obsolete Conflicts/Replaces fields.
  * Bump Standards-Version to 3.9.2.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 20 May 2011 00:39:34 +0200

wvstreams (4.6.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * debian/rules
    - enable "--with-dbus" (Closes: #551869)
  * debian/libwvstreams4.6-extra.install
    - add "debian/tmp/usr/lib/libwvdbus.so*" to inclde libwvdubs.so.4.6
  * debian/control
    - add "(= ${binary:Version})" to libwvstreams-dev package to fix 
     "weak-library-dev-dependency" 
    - add Build-Depends: libdbus-1-dev to correspond to "--with-dbus" in rules.

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Thu, 05 Nov 2009 09:12:48 +0900

wvstreams (4.6-2) unstable; urgency=low

  * QA upload.
  * Conflicts/Replaces libuniconf4.4 for libuniconf4.6 binary package
    to allow clean upgrade from a previous version (Closes: #540320).
  * Bump Standards-Version to 3.8.3, no changes needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Aug 2009 21:55:23 +0200

wvstreams (4.6-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    + Move old source changes to quilt.
    + Rename binaries for new upstream version.
  * 01_kfreebsd_ftbfs.diff - Fix FTBFS on kFreeBSD. (Closes: #537883).
    + Thanks to Petr Salinger for the fix!
  * Copy in config.{sub,guess} on configure, rm them on clean.
    + Add autotools-dev build-dep.
  * Clean up rules file.
  * Add Homepage.
  * Remove duplicate sections from debian/control.
  * Update debian/copyright.
  * Bump Standards Version to 3.8.2. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 29 Jul 2009 11:36:38 -0400

wvstreams (4.4.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix return type checking of X509_REQ_verify (Closes: #513539)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 07 Feb 2009 13:34:04 +0100

wvstreams (4.4.1-1) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
    + Remove Simon Law. (Closes: #487140).
  * Acknowledge NMUs. (Closes: #440245).
  * Remove duplicate build-dep on doxygen.
  * Update {Source-Version} to ${binary:Version}.
  * Make clean not ignore errors.
  * Add suggests on tk8.4 || wish to libwvstreams-dev package.
  * Add watch file.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 28 Jan 2009 21:37:43 -0500

wvstreams (4.4.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed dependency information LSB header in init.d script
    (closes: #470067)

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 14:47:52 +0200

wvstreams (4.4.1-0.1) unstable; urgency=low

  * NMU.
  * New upstream version.
  * Renamed library packages (ldbl transition). Closes: #430320.
  * Fix build failures with g++-4.3. Closes: #461671.
  * debian/control: Build against db4.6. Closes: #421948.
  * debian/control: Build-Conflict with valgrind. Closes: #387671.
  * debian/control: libuniconf4.4: Conflict with libuniconf4.3, libuniconf4.2.
  * Prevent WvModem from hanging if there's nothing on the other side.
  * Define %html-ext% to ".html" while building HTML documentation,
    since current docbook-dsssl appears to default to ".htm".
  * Use new /usr/share/sgml location for docbook.dsl.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 01:01:46 +0100

wvstreams (4.2.2-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Apply brian m. carlson's FTBFS patch.  (Closes: Bug#387989).

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 30 Aug 2007 15:52:19 -0400

wvstreams (4.2.2-2.2) unstable; urgency=medium


