=== debian/control ===
Source: wvstreams
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), autoconf, autotools-dev, libdb-dev, libpam0g-dev,
 libssl-dev, libxplc0.3.13-dev, libpopt-dev, zlib1g-dev, doxygen, libdbus-1-dev,
 graphviz
Standards-Version: 3.9.4

Package: libwvstreams4.6-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network libraries for rapid application development
 WvStreams is a library suite that is comprised of several parts.  Included
 in the base package are:
  * WvString: a convenient and efficient C++ string class
  * WvList: an easy-to-use linked list
  * WvHashTable: an efficient and easy-to-use hash table
  * WvFile: a WvStream wrapper for handling files
  * WvStreamClone: a base class which makes writing your own WvStreams easy
  * WvLog: a log files handler 
  * UniIniGen: a tiny version of UniConf for simple configuration systems

Package: libwvstreams4.6-extras
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network libraries for rapid application development
 WvStreams is a library suite that is comprised of several parts.  Included
 in the extras package are:
  * WvIPStreams: which includes WvTCPStream and WvUDPStream
  * WvCrypto streams: a REALLY easy way to add SSL support to applications 
 .
 These are the base classes used to build programs such as the ever popular 
 WvDial, TunnelVision, FastForward, KWvDial, retchmail, and many more yet 
 to come.  ;) 

Package: libuniconf4.6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network libraries for rapid application development
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems, such as:
  * GConf
  * KConfig
  * Windows registry
  * Mutt ;)
 .
 UniConf can also be accessed over the network, with authentication, allowing
 easy replication of configuration data via the UniReplicateGen.

Package: libwvstreams4.6-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libwvstreams-dev (= ${binary:Version})
Description: Documentation for WvStreams
 Contains all the documentation available to program with WvStreams.
  .
 The WvStreams library suite is a set of C++ network libraries that
 make it fast and simple to develop network applications.

#Package: libwvstreams4.6-qt
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: WvStreams and Qt Event Integration Library
# This package contains the library necessary to tie WvStreams and Qt program
# event loops together to enable WvStreams to act as the I/O and configuration
# back end for Qt and KDE.

Package: libwvstreams-dev
Architecture: any
Section: libdevel
Depends: libwvstreams4.6-base (= ${binary:Version}), libwvstreams4.6-extras (= ${binary:Version}), libuniconf4.6 (= ${binary:Version}), libxplc0.3.13-dev, ${misc:Depends}
Suggests: tk8.5 | wish
Provides: libwvstreams4.6-dev
Description: Development libraries and header files for libwvstreams4.6
 Contains the header files and static libraries for use in rapid 
 application development using the WvStreams set of libraries.  It 
 includes everything that is needed to compile a program that needs 
 WvStreams.
 .
 The WvStreams library suite is a set of C++ network libraries that
 make it fast and simple to develop network applications.

Package: uniconfd
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Server that manages UniConf elements
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems.
 .
 UniConf can also be accessed over the network, with authentication, allowing
 easy replication of configuration data via the UniReplicateGen.
 .
 This package contains the server that accepts incoming TCP or Unix
 connections, and gets or sets UniConf elements at the request of a
 UniConf client.

Package: uniconf-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to interface with UniConf
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems.
 .
 This package contains utilities that allow users to interface with 
 UniConf manually.
