=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for WvStreams, using debhelper.
#
# Based on the sample debian/rules under GNU copyright 1997 to 1999 by
# Joey Hess, with revisions by Bill Allombert in 2001.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

version:=$(shell awk -F= '/SO_VERSION=/{print $$2}' $(CURDIR)/configure.ac)
base=libwvstreams$(version)
# This is used the wvstreams makefile to set the .so links
PKG=$(CURDIR)/debian/${base}
PKGDEV=$(CURDIR)/debian/libwvstreams-dev
PKGDOC=$(CURDIR)/debian/${base}-doc
DOCDIR=$(PKGDOC)/usr/share/doc/$(base)-doc

CFLAGS = -Wall $(shell dpkg-buildflags --get CFLAGS; dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -fno-tree-dce -fno-optimize-sibling-calls
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

MAKEFLAGS += -j1 # parallel build broken

config.status:
	dh_testdir
	./autogen.sh
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--sysconfdir=/etc --localstatedir=/var \
		--disable-debug --disable-verbose \
		--with-openslp --with-dbus \
		--without-valgrind \
		--without-readline \

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) VERBOSE=1 CXXOPTS="$(CFLAGS) -fPIC -DPIC -fno-tree-dce -fno-optimize-sibling-calls" COPTS="$(CFLAGS) -fPIC -DPIC"
	$(MAKE) VERBOSE=1 CXXOPTS="$(CFLAGS) -fPIC -DPIC" COPTS="$(CFLAGS) -fPIC -DPIC" uniconf/tests/uni
	touch build-arch-stamp

build-indep: build-stamp-indep
build-stamp-indep: config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	$(MAKE) doxygen
	@# Don't build the SGML documentation, as it is uncompilable.
	@#$(MAKE) -C Docs/sgmlmanual html ps pdf
	touch build-stamp-indep

clean:
	dh_testdir
	dh_testroot
	rm -f configure include/wvautoconf.h.in argp/configure
	rm -f build-stamp build-arch-stamp build-stamp-indep #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	[ ! -f Docs/sgmlmanual/Makefile ] || $(MAKE) -C Docs/sgmlmanual clean
	rm -rf Docs/doxy-html
	[ ! -f xplc/Makefile ] || $(MAKE) -C xplc distclean
	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.sub config.guess
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
	install -d $(DOCDIR)
	install -d $(DOCDIR)/html-api
	find Docs/doxy-html -type f -exec install -m644 '{}' $(DOCDIR)/html-api/ ';'

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	#$(MAKE) install prefix=$(CURDIR)/debian/wvstreams/usr

	# Install library package

	# Temporary Fix to work around a bug in Debhelper
	$(MAKE) install-shared DESTDIR=$(CURDIR)/debian/tmp

	# Install development package
	$(MAKE) install-dev DESTDIR=$(PKGDEV)

	# Install lintian overrides
	install -m644 debian/libwvstreams$(version)-base.lintian-override debian/libwvstreams$(version)-base/usr/share/lintian/overrides/libwvstreams$(version)-base
	install -m644 debian/libwvstreams$(version)-extras.lintian-override debian/libwvstreams$(version)-extras/usr/share/lintian/overrides/libwvstreams$(version)-extras

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installman
	dh_link
	dh_strip --exclude=libwvtest.a
	dh_compress
	dh_fixperms
	#Fix other permissions
	chmod a-x $(CURDIR)/debian/libwvstreams-dev/usr/lib/valgrind/wvstreams.supp
	dh_makeshlibs -plibwvstreams$(version)-base \
		      -plibwvstreams$(version)-extras \
		      -plibuniconf$(version)
	dh_installdeb
	dh_shlibdeps -L libwvstreams$(version)-base \
		     -L libwvstreams$(version)-extras \
		     -L libuniconf$(version) \
		     -l debian/libwvstreams$(version)-base/usr/lib:debian/libwvstreams$(version)-extras/usr/lib:debian/libuniconf$(version)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
